/*
 * Solution3_ADC.c
 *
 * 쐬: 2016N26 10:10:29
 *  : rupali.honrao
 */ 

#define F_CPU 16000000UL //16 MHz
#include <avr/io.h>
#include <util/delay.h>

uint16_t adc_res=0;

void InitADC()
{
	// I
	ADMUX |= (1<<REFS0);
	// Ou128ɐݒ肵ADC
	ADCSRA |= (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)|(1<<ADEN);
}

uint16_t ReadADC(uint8_t ADCchannel)
{
	// SՕƂƋADCقI
	ADMUX = (ADMUX & 0xF0) | (ADCchannel & 0x0F);
	// Pƕϊ
	ADCSRA |= (1<<ADSC);
	// A/Dϊ҂
	while( ADCSRA & (1<<ADSC) );
	return ADC;
}

int main(void)
{
	DDRB &= ~(1<<DDB7);		// PORTB7͂ƂĐݒ
	DDRC &= ~(1<<DDC0);		// PORTC0͂ƂĐݒ
	DDRB |=  (1<<DDB5);		// PORTB5o͂ƂĐݒ

	InitADC();

	while (1)
	{
		_delay_ms(500);
		PINB |= 1<<PINB5;	// LED ON/OFFݐ؂ւ
		adc_res=ReadADC(0);
	}
}
